#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

import wx
import random

wx.SetDefaultPyEncoding("iso-8859-15")

BACKGROUND_IMAGENAME = "hintergrundbild.jpg"


class MyBackgroundPanel(wx.Panel):
    
    def __init__(self, parent):
        wx.Panel.__init__(self, parent)
        self.bmp = wx.Bitmap(BACKGROUND_IMAGENAME)
        self.SetSize(self.bmp.GetSize())
        self.Bind(wx.EVT_PAINT, self.on_paint)
    
    
    def on_paint(self, event = None):
        dc = wx.BufferedPaintDC(self, self.bmp)
    

class MyFrame(wx.Frame):
    
    def __init__(self, parent = None, title = "Example"):
        wx.Frame.__init__(self, parent, -1, title)
        
        panel = MyBackgroundPanel(self)
        
        LABELSTYLE = wx.BORDER_SUNKEN | wx.ST_NO_AUTORESIZE | wx.ALIGN_CENTER_HORIZONTAL
        self.lab_temperatur = wx.StaticText(
            panel, size = (26, -1), pos = (27, 64), style = LABELSTYLE
        )
        self.lab_druck = wx.StaticText(
            panel, size = (26, -1), pos = (27, 82), style = LABELSTYLE
        )
        
        self.timer = wx.Timer()
        self.timer.Bind(wx.EVT_TIMER, self.on_timer)
        self.timer.Start(1000)
        
        # Layout
        self.Fit()
    
    
    def on_timer(self, event = None):
        new_value = str(random.randint(1, 99))
        self.lab_temperatur.SetLabel(new_value)
        self.lab_temperatur.Refresh()
        
        new_value = str(random.randint(1, 99))
        self.lab_druck.SetLabel(new_value)
        self.lab_druck.Refresh()


def main():
    """Testing"""
    app = wx.PySimpleApp()
    f = MyFrame()
    f.Center()
    f.Show()
    app.MainLoop()


if __name__ == "__main__":
    main()
